import request from '@/utils/request'

// 查询简易注销公告信息列表
export function listAnnouncement(query) {
  return request({
    url: '/basicData/xcrSimplifiedCancellationAnnouncement/findByPage',
    method: 'get',
    params: query
  })
}

// 查询简易注销公告信息详细
export function getAnnouncement(xhCodeId) {
  return request({
    url: '/basicData/xcrSimplifiedCancellationAnnouncement/' + xhCodeId,
    method: 'get'
  })
}

// 新增简易注销公告信息
export function addAnnouncement(data) {
  return request({
    url: '/basicData/xcrSimplifiedCancellationAnnouncement',
    method: 'post',
    data: data
  })
}

// 修改简易注销公告信息
export function updateAnnouncement(data) {
  return request({
    url: '/basicData/xcrSimplifiedCancellationAnnouncement',
    method: 'put',
    data: data
  })
}

// 删除简易注销公告信息
export function delAnnouncement(xhCodeId) {
  return request({
    url: '/basicData/xcrSimplifiedCancellationAnnouncement/deleteAll',
    method: 'delete'
  })
}
// 批量删除行政许可
export function delAnnouncementBatch(ids) {
  return request.post('/basicData/xcrSimplifiedCancellationAnnouncement/delete',ids)
}
